### Method

# Gtk SelectionFilterModel set_model

#### Declaration [src]

    void
    gtk_selection_filter_model_set_model (
      GtkSelectionFilterModel* self,
      GtkSelectionModel* model
    )

#### Description [src]

Sets the model to be filtered.

Note that GTK makes no effort to ensure that `model` conforms to the item type of `self`. It assumes that the caller knows what they are doing and have set up an appropriate filter to ensure that item types match.

Sets property | `Gtk.SelectionFilterModel:model`

#### Parameters

`model`

  Type: `GtkSelectionModel`

  The model to be filtered.

  The argument can be `NULL`.
  The data is owned by the caller of the method.